coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawListv1

Query return withdrawal history by receiptID

# 01

Summary

Available buyer market: Korean Search for the return withdrawal history by using cancel (return) receipt IDs.

# 02

Details

Available buyer market: Korean

Search for the return withdrawal history by using cancel (return) receipt IDs.

Path

POST

/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawList

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnWithdrawList

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O  String

Seller ID

Unique seller id issued by Coupang

e.g. A00012345

Body Parameter

Name Required Type Description
cancelIds O Array
List of cancellation (return) receipt IDs to query cancellation history
Maximum 50 cancellIds can be queried at once.
CancellIds should be number type.

Request Example

{
  "cancelIds": [
    87033689
  ]
}

Response Message

Name Type Description
code Number
Http request status code
Example: 200, 400, 500
message String
This message will be displayed at request success or failure.
data Array
 
  cancelId Number
Cancellation (return) receipt ID
  orderId Number
Order ID
  vendorId String
Seller code
  refundDeliveryDuty String
Return at which party’s fault
CODE Mean
COM 업체
CUS 고객
COU 쿠팡
  createdAt String

Time of return (cancel) withdrawal

yyyy-MM-ddThh:mm:ss

  vendorItemIds Array
Return option ID list

Response Example

{
  "code": "200",
  "message": "OK",
  "data": [
    {
      "cancelId": 87033689,
      "orderId": 23000016565020,
      "vendorId": "A00001234",
      "refundDeliveryDuty": "COM",
      "createdAt": "2018-06-05T13:40:56",
      "vendorItemIds": [
        3737624764
      ]
    }
  ]
}

Error Spec

HTTP status code (error type) Error message Solution
500 (check request metric) CReturns getWithdrawnList failed Please make sure accurate cancelIds (return receipt IDs) were put in. When the value is not properly keyed in, 500 error happens.

URL API Name

GET_RETURNWITHDRAW_BY_CANCEL_IDS